cURL
curl -X DELETE https://api.bodhveda.com/preferences/42 \
-H "Authorization: Bearer bv_xxxxxxxxx"import { Bodhveda } from "@bodhveda/js";
const bodhveda = new Bodhveda("bv_xxxxxxxxx");
await bodhveda.preferences.delete(42);import (
"context"
bodhveda "github.com/MudgalLabs/bodhveda/sdk/go"
)
ctx := context.Background()
client := bodhveda.NewClient("bv_xxxxxxxxx", nil)
err := client.Preferences.Delete(ctx, 42){
"error": "<string>",
"details": "<string>"
}Project Preferences
Delete a catalog entry
Delete a catalog entry, un-cataloging the (target, medium).
DELETE
/
preferences
/
{preference_id}
cURL
curl -X DELETE https://api.bodhveda.com/preferences/42 \
-H "Authorization: Bearer bv_xxxxxxxxx"import { Bodhveda } from "@bodhveda/js";
const bodhveda = new Bodhveda("bv_xxxxxxxxx");
await bodhveda.preferences.delete(42);import (
"context"
bodhveda "github.com/MudgalLabs/bodhveda/sdk/go"
)
ctx := context.Background()
client := bodhveda.NewClient("bv_xxxxxxxxx", nil)
err := client.Preferences.Delete(ctx, 42){
"error": "<string>",
"details": "<string>"
}Delete a catalog entry, un-cataloging the
(target, medium).
Un-cataloging a
(target, email) turns email off for any recipient who was relying on the catalog default (they had set no preference of their own).